Name: H5Tget_inpad
Signature:
  H5T_pad_t `H5Tget_inpad`(hid_t `type_id` )
Purpose:
  Retrieves the internal padding type for unused bits in floating-point datatypes.
Description:
  `H5Tget_inpad` retrieves the internal padding type for unused bits in floating-point datatypes. Valid padding types are:
  H5T_PAD_ZERO (`0`)
    Set background to zeros.
  H5T_PAD_ONE (`1`)
    Set background to ones.
  H5T_PAD_BACKGROUND (`2`)
    Leave background alone.
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns a valid padding type if successful; otherwise `H5T_PAD_ERROR` (-1).
Fortran90 Interface: h5tget_inpad_f

      SUBROUTINE h5tget_inpad_f(type_id, padtype, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: padtype       ! Padding type for unused bits
                                              ! in floating-point datatypes
                                              ! Possible values of padding type are:
                                              !     H5T_PAD_ZERO_F = 0
                                              !     H5T_PAD_ONE_F = 1
                                              !     H5T_PAD_BACKGROUND_F = 2
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tget_inpad_f